
QGIS Application - Bug report #4253

Fix "value tool" issue with GRASS rasters (and make the plugin) core

2011-09-02 01:09 AM - Giovanni Manghi

Status: Bounty paid

Priority: Normal

Assignee: Richard Duivenvoorde

Category: Python plugins

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14198

Description

The plugin author seems no more interested/available to fix it. Moreover this tool is fundamental for raster analysis, so it makes a lot of

sense to make it core.

History

#1 - 2011-09-06 05:45 AM - Richard Duivenvoorde

- % Done changed from 0 to 50

- File valuewidget.py added

- File valuetoolotf.patch added

Hi Giovanni,

I thought to try this.

If somebody is willing to test (just take the valuewidget.py and copy over the old one), I'm happy to further put this plugin into git, add this patch, and

become the 'assistant' maintainer

#2 - 2011-09-07 04:48 AM - Richard Duivenvoorde

added valuetool to hub.qgis.org/projects r090453e6 

see https://issues.qgis.org/projects/valuetool

make it possible to use on the fly rasters in rf0a573ef

#3 - 2011-09-11 04:47 AM - Giovanni Manghi

- Subject changed from Fix "value tool" python plugin to work with reprojected rasters and make it core to Fix "value tool" issue with GRASS rasters (and 

make the plugin) core

Hi Richard, thanks for the patch. It has already been applied?

Another issue to fix is about GRASS rasters (I guess we can out another bounty on it): when the mouse pointer exits the extent of the GRASS raster, the

tool instead of showing "out of extent" it shows the value of the last pixel it passed over. It is not a critical issue, but it does not help working with GRASS

rasters (which is the most of the times a guy does raster analysis and models).
#4 - 2011-09-11 11:29 AM - Richard Duivenvoorde

Hi G,

yes I patched the tool, and uploaded it already to: http://plugins.qgis.org/plugins

I cannot upload it to the old plugin infrastructure (yet) but am told to contact Gary or Borys to make me the new contributor.

I've contacted them now, and if that is finished (and normal users can update the plugin via the normal plugins in qgis) I will close this issue.

Your Grass issue, I now have moved to: #4279 (an issue in the Value Tool project).

#5 - 2011-10-11 01:05 AM - Sandro Santilli

- Assignee set to Richard Duivenvoorde

looks like being assigned...

#6 - 2011-11-12 04:50 AM - Giovanni Manghi

- Status changed from Open to 7

#7 - 2011-11-12 04:52 AM - Tim Sutton

- % Done changed from 50 to 100

- Status changed from 7 to Fixed for bounty

This is fixed please confirm and pay the bounty.

#8 - 2011-11-12 04:53 AM - Tim Sutton

- Status changed from Fixed for bounty to 10

Ok it really is fixed

#9 - 2011-11-12 04:53 AM - Tim Sutton

- Status changed from 10 to Bounty paid

Ok Richard has said no need to pay him

#10 - 2012-04-15 09:23 AM - Giovanni Manghi

- Crashes QGIS or corrupts data set to No

- Tracker changed from 4 to Bug report

- Affected QGIS version set to master

Files

valuewidget.py 9.34 KB 2011-09-06 Richard Duivenvoorde

valuetoolotf.patch 950 Bytes 2011-09-06 Richard Duivenvoorde
